org.jfree.ui

## Class IntegerDocument

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.PlainDocument
    - - org.jfree.ui.IntegerDocument

All Implemented Interfaces:
  java.io.Serializable, javax.swing.text.Document

    public class IntegerDocument
    extends javax.swing.text.PlainDocument

A document for editing integers.

Author:
  Andrzej Porebski
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

`javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

### Field Summary

### Fields inherited from class javax.swing.text.PlainDocument

`lineLimitAttribute, tabSizeAttribute`

### Fields inherited from class javax.swing.text.AbstractDocument

`BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

### Fields inherited from interface javax.swing.text.Document

`StreamDescriptionProperty, TitleProperty`

### Constructor Summary

Constructors
Constructor and Description
`IntegerDocument()`

### Method Summary

Methods
`void` `insertString(int i, java.lang.String s, javax.swing.text.AttributeSet attributes)` Inserts a string.

### Methods inherited from class javax.swing.text.PlainDocument

`createDefaultRoot, getDefaultRootElement, getParagraphElement, insertUpdate, removeUpdate`

### Methods inherited from class javax.swing.text.AbstractDocument

`addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, remove, removeDocumentListener, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntegerDocument

    public IntegerDocument()

### Method Detail

#### insertString

    public void insertString(int i,
                    java.lang.String s,
                    javax.swing.text.AttributeSet attributes)
                      throws javax.swing.text.BadLocationException

Inserts a string.

Specified by:
  `insertString` in interface `javax.swing.text.Document`
Overrides:
  `insertString` in class `javax.swing.text.PlainDocument`
Parameters:
  `i` - i.
  `s` - s.
  `attributes` - the attributes.
Throws:
  `javax.swing.text.BadLocationException` - ??